Package net.sourceforge.jiu.codecs.tiff

# Class TIFFRational

java.lang.Object
net.sourceforge.jiu.codecs.tiff.TIFFRational

public class TIFFRational extends Object
Data class to store a TIFF rational number. A TIFF rational number is a fraction given by 32 bit integer numerator and denominator values. It is one of the data types used in TIFF tags (`TIFFTag`). For more information on TIFF's internals, see `TIFFCodec`, which lists a few links to TIFF specification documents.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`denominator`
`private int`
`numerator`

## Constructor Summary

Constructors
Constructor
Description
`TIFFRational(int numerator, int denominator)`
Creates a TiffRational object from the arguments.

## Method Summary

Modifier and Type
Method
Description
`double`
`getAsDouble()`
Returns the fraction as a `double` value.
`float`
`getAsFloat()`
Returns the fraction as a `float` value.
`int`
`getDenominator()`
Returns the denominator value that was given to the constructor.
`int`
`getNumerator()`
Returns the numerator value that was given to the constructor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### numerator

private int numerator

### denominator

private int denominator

## Constructor Details

### TIFFRational

public TIFFRational(int numerator, int denominator)
Creates a TiffRational object from the arguments.

Parameters:
  `numerator` - the numerator of the fraction stored in this object
  `denominator` - the denominator of the fraction stored in this object
Throws:
  `IllegalArgumentException` - if denominator is `0` (division by zero is not allowed)

## Method Details

### getDenominator

public int getDenominator()
Returns the denominator value that was given to the constructor.

Returns:
  denominator value

### getAsDouble

public double getAsDouble()
Returns the fraction as a `double` value.

Returns:
  the fraction stored in this object
See Also:
  - `getAsFloat()`

### getAsFloat

public float getAsFloat()
Returns the fraction as a `float` value.

Returns:
  the fraction stored in this object
See Also:
  - `getAsDouble()`

### getNumerator

public int getNumerator()
Returns the numerator value that was given to the constructor.

Returns:
  numerator value